---
title: "Get List of User Groups"
slug: "get-list-of-user-groups"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of User Groups

Get/api/v1/groups.listAll

Lists all the private groups/channels of the workspace.

Permission required: `view-room-administration`

### Changelog

| Version | Description |
| --- | --- |
| 0.62.0 | Add 'query' parameter support. |
| 0.59.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersoffsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='5f3d120e-f6ab-421e-8035-ebef0d09dbf1'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e3b26bc3-007b-4f9b-8e5f-74e92e0465fd'>Success</option>
</select>Success

```json
{
  "groups": [
    {
      "_id": "xA52DRDM7dqx2PfTp",
      "name": "private1",
      "fname": "private1",
      "t": "p",
      "msgs": 0,
      "u": {
        "_id": "3WpJQkDHhrWPBvXuW",
        "username": "admin"
      },
      "customFields": {
        "companyId": "org1"
      },
      "ts": "2018-01-21T21:05:06.729Z",
      "ro": false,
      "sysMes": true,
      "_updatedAt": "2018-01-21T21:05:06.729Z"
    }
  ],
  "offset": 0,
  "count": 1,
  "total": 1,
  "success": true
}
```

Expand Allobject  groups Array of object   object  _idstring    
namestring    
fnamestring    
tstring    
msgsinteger    
uobject  _idstring    
usernamestring    

customFieldsobject  companyIdstring    

tsstring    
roboolean    
sysMesboolean    
_updatedAtstring    

offsetinteger    
countinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='a54945dc-dbd7-4ca3-832b-b3458ec0ad70'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='978e4f80-3aca-4f9d-81dd-1fbf1542c26d'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
